Bug 90518 - Knotact crashes when switching from Mail to other modules
Summary: Knotact crashes when switching from Mail to other modules
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash with 45 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 92648 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-09-30 01:32 UTC by Alex Fisher
Modified: 2005-04-06 18:09 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Fisher 2004-09-30 01:32:10 UTC
Version:           unknown (using KDE 3.2.3, Mandrake Linux Cooker i586 - Cooker)
Compiler:          gcc version 3.4.1 (Mandrakelinux (Alpha 3.4.1-3mdk)
OS:                Linux (i686) release 2.6.8.1-10mdk

Appears to be a repeat of bug #70032. This bug is marked as "Resolved", however IMO it is NOT fixed. If anything, it appears to be worse, and needs to be re-opened. Hence the new report.

This is completely reproducible.

1. Open Kontact (Mail page showing)
2. attempt to switch to News (or in fact any other module), Kontact crashes.

This happens every time I try to use Kontact, not just occasionally.

Workaround.

1. Open Kontact.
2. from menu (or desktop icon), open Knode.
3. Knode opens as embedded part.

Now switching between modules works OK for a while. HOWEVER, after kontact has been running for some hours without use (in my case overnight), the crash re-appears.

Seemingly, no core dump is created, but I shall try to obtain a trace and atach it later.
Comment 1 Alex Fisher 2004-09-30 01:38:33 UTC
Backtrace friom drkonqui (Not sure how much use it is):

(no debugging symbols found)...Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...[Thread debugging using libthread_db enabled]
[New Thread 1099225952 (LWP 2375)]
[New Thread 1132759984 (LWP 2411)]
[Thread debugging using libthread_db enabled]
[New Thread 1099225952 (LWP 2375)]
[New Thread 1132759984 (LWP 2411)]
[Thread debugging using libthread_db enabled]
[New Thread 1099225952 (LWP 2375)]
[New Thread 1132759984 (LWP 2411)]
[New Thread 1124367280 (LWP 2410)]
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
#1  0xbfffde2c in ?? ()
#2  0x00000000 in ?? ()
#3  0x00000000 in ?? ()
#4  0x4161f2db in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#5  0x40ab4ece in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.4
#6  <signal handler called>
#7  0x4086af1f in KXMLGUI::ActionList::unplug () from /usr/lib/libkdeui.so.4
#8  0x40903975 in KXMLGUI::ContainerNode::unplugClient ()
   from /usr/lib/libkdeui.so.4
#9  0x40903cbb in KXMLGUI::ContainerNode::unplugActions ()
   from /usr/lib/libkdeui.so.4
#10 0x40903d3c in KXMLGUI::ContainerNode::destruct ()
   from /usr/lib/libkdeui.so.4
#11 0x40903f44 in KXMLGUI::ContainerNode::destructChildren ()
   from /usr/lib/libkdeui.so.4
#12 0x40903d30 in KXMLGUI::ContainerNode::destruct ()
   from /usr/lib/libkdeui.so.4
#13 0x40904206 in KXMLGUIFactory::removeClient () from /usr/lib/libkdeui.so.4
#14 0x40199cd1 in KParts::MainWindow::createGUI ()
   from /usr/lib/libkparts.so.2
#15 0x08061b3e in ?? ()
#16 0x081c16e8 in ?? ()
#17 0x08463538 in ?? ()
#18 0x00000000 in ?? ()
#19 0x00000001 in ?? ()
#20 0x00000001 in ?? ()
#21 0x412e0e10 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0x08141020 in ?? ()
#23 0x4114a9ab in QGArray::deleteData () from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0x08476548 in ?? ()
#25 0x412e0e10 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x00000000 in ?? ()
#27 0x0806dfe8 in ?? ()
#28 0x412b2be8 in vtable for QPixmap () from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x00000000 in ?? ()
#30 0x00000000 in ?? ()
#31 0x00000002 in ?? ()
#32 0x00000000 in ?? ()
#33 0x08200048 in ?? ()
#34 0x40ad6cc5 in KApplication::notify () from /usr/lib/libkdecore.so.4
#35 0x080634bb in ?? ()
#36 0x081c16e8 in ?? ()
#37 0x08463538 in ?? ()
#38 0x00000000 in ?? ()
#39 0x412e0e10 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0x0817eea0 in ?? ()
#41 0xbfffe780 in ?? ()
#42 0xbfffe7c8 in ?? ()
#43 0x40e762a8 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#44 0xbfffe790 in ?? ()
#45 0x087a0298 in ?? ()
#46 0x08164a28 in ?? ()
#47 0x08141020 in ?? ()
#48 0x00000003 in ?? ()
#49 0xbfffe830 in ?? ()
#50 0x00000000 in ?? ()
#51 0x08179ec8 in ?? ()
#52 0xbfffe770 in ?? ()
#53 0x0112c328 in ?? ()
#54 0x08141020 in ?? ()
#55 0x401a94f0 in ?? () from /usr/lib/libkparts.so.2
#56 0xbfffe7a8 in ?? ()
#57 0xbfffe780 in ?? ()
#58 0xbfffe7c8 in ?? ()
#59 0x40189120 in KParts::PartManager::activePartChanged ()
   from /usr/lib/libkparts.so.2
Comment 2 Alex Fisher 2004-09-30 01:53:08 UTC
Further problem... The workaround detailed above no longer works... :(

1. Fired up Kontact
2. Minimized window
3. atempted to start Knode. 
4. Kontact crashed.

Backtrace copied below:

(no debugging symbols found)...Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...[Thread debugging using libthread_db enabled]
[New Thread 1099225952 (LWP 3279)]
[New Thread 1132759984 (LWP 3302)]
[Thread debugging using libthread_db enabled]
[New Thread 1099225952 (LWP 3279)]
[New Thread 1132759984 (LWP 3302)]
[Thread debugging using libthread_db enabled]
[New Thread 1099225952 (LWP 3279)]
[New Thread 1132759984 (LWP 3302)]
[New Thread 1124367280 (LWP 3301)]
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
#1  0xbfffdd1c in ?? ()
#2  0x00000000 in ?? ()
#3  0x00000000 in ?? ()
#4  0x4161f2db in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#5  0x40ab4ece in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.4
#6  <signal handler called>
#7  0x4086af1f in KXMLGUI::ActionList::unplug () from /usr/lib/libkdeui.so.4
#8  0x40903975 in KXMLGUI::ContainerNode::unplugClient ()
   from /usr/lib/libkdeui.so.4
#9  0x40903cbb in KXMLGUI::ContainerNode::unplugActions ()
   from /usr/lib/libkdeui.so.4
#10 0x40903d3c in KXMLGUI::ContainerNode::destruct ()
   from /usr/lib/libkdeui.so.4
#11 0x40903f44 in KXMLGUI::ContainerNode::destructChildren ()
   from /usr/lib/libkdeui.so.4
#12 0x40903d30 in KXMLGUI::ContainerNode::destruct ()
   from /usr/lib/libkdeui.so.4
#13 0x40904206 in KXMLGUIFactory::removeClient () from /usr/lib/libkdeui.so.4
#14 0x40199cd1 in KParts::MainWindow::createGUI ()
   from /usr/lib/libkparts.so.2
#15 0x08061b3e in ?? ()
#16 0x081b4290 in ?? ()
#17 0x08463418 in ?? ()
#18 0x00000000 in ?? ()
#19 0x00000001 in ?? ()
#20 0x00000001 in ?? ()
#21 0x412e0e10 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0x08160a88 in ?? ()
#23 0x4114a9ab in QGArray::deleteData () from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0x08475ff8 in ?? ()
#25 0x412e0e10 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x00000000 in ?? ()
#27 0x0806dfe8 in ?? ()
#28 0x412b2be8 in vtable for QPixmap () from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x00000000 in ?? ()
#30 0x00000000 in ?? ()
#31 0x00000002 in ?? ()
#32 0x00000000 in ?? ()
#33 0x08204fb0 in ?? ()
#34 0x40ad6cc5 in KApplication::notify () from /usr/lib/libkdecore.so.4
#35 0x080634bb in ?? ()
#36 0x081b4290 in ?? ()
#37 0x08463418 in ?? ()
#38 0x00000000 in ?? ()
#39 0x412e0e10 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0x081afd98 in ?? ()
#41 0xbfffe670 in ?? ()
#42 0xbfffe6b8 in ?? ()
#43 0x40e762a8 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#44 0xbfffe680 in ?? ()
#45 0x08401ba8 in ?? ()
#46 0x00000000 in ?? ()
#47 0x08160a88 in ?? ()
#48 0x00000003 in ?? ()
#49 0x00000000 in ?? ()
#50 0x00000000 in ?? ()
#51 0x08138118 in ?? ()
#52 0xbfffe660 in ?? ()
#53 0x0112c448 in ?? ()
#54 0x08160a88 in ?? ()
#55 0x401a94f0 in ?? () from /usr/lib/libkparts.so.2
#56 0xbfffe698 in ?? ()
#57 0xbfffe670 in ?? ()
#58 0xbfffe6b8 in ?? ()
#59 0x40189120 in KParts::PartManager::activePartChanged ()
   from /usr/lib/libkparts.so.2
Comment 3 Melchior Franz 2004-10-12 13:06:08 UTC
Same here, with CVS/HEAD as of yesterday (2004/10/11) under Linux 2.6.7 (x86)/gcc 3.3.1 (SuSE Linux). Absolutely reproducible. But:

* it has nothing to do with #70032
* kontact doesn't need to run over night or something: just start it and switch back and forth between kmail & knode (or any other modules)

backtraces without symbols are kind of useless. Here's a better one:


#0  0x00000038 in ?? ()
#1  0x40a5908c in KXMLGUI::ContainerNode::unplugClient(KXMLGUI::ContainerClient*) (this=0x825de90,
    client=0x8be5c10) at kxmlguifactory_p.cpp:426
#2  0x40a58f95 in KXMLGUI::ContainerNode::unplugActions(KXMLGUI::BuildState&) (this=0x825de90, state=@0x82b7588)
    at kxmlguifactory_p.cpp:406
#3  0x40a58a1d in KXMLGUI::ContainerNode::destruct(QDomElement, KXMLGUI::BuildState&) (this=0x825de90, element=
        {<QDomNode> = {_vptr.QDomNode = 0x4162d2a8, impl = 0x8bd32b8}, <No data fields>}, state=@0x82b7588)
    at kxmlguifactory_p.cpp:313
#4  0x40a58c87 in KXMLGUI::ContainerNode::destructChildren(QDomElement const&, KXMLGUI::BuildState&) (
    this=0x82545e8, element=@0xbfffe050, state=@0x82b7588) at kxmlguifactory_p.cpp:358
#5  0x40a58a0b in KXMLGUI::ContainerNode::destruct(QDomElement, KXMLGUI::BuildState&) (this=0x82545e8, element=
        {<QDomNode> = {_vptr.QDomNode = 0x4162d2a8, impl = 0x8bb1de0}, <No data fields>}, state=@0x82b7588)
    at kxmlguifactory_p.cpp:311
#6  0x40a542f9 in KXMLGUIFactory::removeClient(KXMLGUIClient*) (this=0x823ef50, client=0x841cc14)
    at kxmlguifactory.cpp:364
#7  0x40211370 in KParts::MainWindow::createGUI(KParts::Part*) (this=0x822ad88, part=0x8ad7270)
    at mainwindow.cpp:108
#8  0x0805dfaf in Kontact::MainWindow::slotActivePartChanged(KParts::Part*) (this=0x822ad88, part=0x8ad7270)
    at mainwindow.cpp:492
#9  0x0805ff34 in Kontact::MainWindow::qt_invoke(int, QUObject*) (this=0x822ad88, _id=82, _o=0xbfffe330)
    at qucom_p.h:312
#10 0x411b9927 in QObject::activate_signal(QConnectionList*, QUObject*) (this=0x82ab078, clist=0x8287890,
    o=0xbfffe330) at kernel/qobject.cpp:2357
#11 0x4020f334 in KParts::PartManager::activePartChanged(KParts::Part*) (this=0x82ab078, t0=0x8624550)
    at partmanager.moc:156
#12 0x4020e663 in KParts::PartManager::setActivePart(KParts::Part*, QWidget*) (this=0x82ab078, part=0x8ad7270,
    widget=0x0) at partmanager.cpp:486
#13 0x0805e391 in Kontact::MainWindow::selectPlugin(Kontact::Plugin*) (this=0x822ad88, plugin=0x82c7640)
    at mainwindow.cpp:541
#14 0x0805ff89 in Kontact::MainWindow::qt_invoke(int, QUObject*) (this=0x822ad88, _id=77, _o=0xbfffe5a0)
    at qucom_p.h:312
#15 0x411b9927 in QObject::activate_signal(QConnectionList*, QUObject*) (this=0x82578c0, clist=0x826b400,
    o=0xbfffe5a0) at kernel/qobject.cpp:2357
#16 0x0806269a in Kontact::SidePaneBase::pluginSelected(Kontact::Plugin*) (this=0x82578c0, t0=0x8624550)
    at sidepanebase.moc:109
#17 0x080627b3 in Kontact::SidePaneBase::qt_emit(int, QUObject*) (this=0x82578c0, _id=2, _o=0xbfffe690)
    at qucom_p.h:312
#18 0x08066931 in Kontact::IconSidePane::qt_emit(int, QUObject*) (this=0x8624550, _id=140658000, _o=0x8624550)
    at iconsidepane.moc:222
#19 0x411b98fe in QObject::activate_signal(QConnectionList*, QUObject*) (this=0x82c42d8, clist=0x8251588,
    o=0xbfffe690) at kernel/qobject.cpp:2355
#20 0x08066624 in Kontact::Navigator::pluginActivated(Kontact::Plugin*) (this=0x82c42d8, t0=0x8624550)
    at iconsidepane.moc:107
#21 0x412948f1 in QListBox::mousePressEventEx(QMouseEvent*) (this=0x82c42d8, e=0xbfffe850)
    at widgets/qlistbox.cpp:2044
#22 0x412946a9 in QListBox::mousePressEvent(QMouseEvent*) (this=0x82c42d8, e=0xbfffe850)
    at widgets/qlistbox.cpp:2016
#23 0x411f1b87 in QWidget::event(QEvent*) (this=0x82c42d8, e=0xbfffe850) at kernel/qwidget.cpp:4667
#24 0x411569bf in QApplication::internalNotify(QObject*, QEvent*) (this=0xbfffef80, receiver=0x82c42d8,
    e=0xbfffe850) at kernel/qapplication.cpp:2635
#25 0x41156175 in QApplication::notify(QObject*, QEvent*) (this=0xbfffef80, receiver=0x82c5458, e=0xbfffead0)
    at kernel/qapplication.cpp:2421
#26 0x40c5b361 in KApplication::notify(QObject*, QEvent*) (this=0xbfffef80, receiver=0x82c5458, event=0xbfffead0)
    at kapplication.cpp:518
#27 0x410ea8f5 in QApplication::sendSpontaneousEvent(QObject*, QEvent*) (receiver=0x82c5458, event=0xbfffead0)
    at qapplication.h:494
#28 0x410e38e5 in QETWidget::translateMouseEvent(_XEvent const*) (this=0x82c5458, event=0xbfffee60)
    at kernel/qapplication_x11.cpp:4301
#29 0x410e1546 in QApplication::x11ProcessEvent(_XEvent*) (this=0xbfffef80, event=0xbfffee60)
    at kernel/qapplication_x11.cpp:3452
#30 0x410fc20c in QEventLoop::processEvents(unsigned) (this=0x8156cc8, flags=4) at kernel/qeventloop_x11.cpp:192
#31 0x4116ac4a in QEventLoop::enterLoop() (this=0x8156cc8) at kernel/qeventloop.cpp:198
#32 0x4116ab66 in QEventLoop::exec() (this=0x8156cc8) at kernel/qeventloop.cpp:145
#33 0x41156b3f in QApplication::exec() (this=0xbfffef80) at kernel/qapplication.cpp:2758
#34 0x0805ae3a in main (argc=140658000, argv=0x8624550) at main.cpp:153




and the first few stacks with "bt full":

#0  0x00000038 in ?? ()
No symbol table info available.
#1  0x40a5908c in KXMLGUI::ContainerNode::unplugClient(KXMLGUI::ContainerClient*) (this=0x825de90,
    client=0x8be5c10) at kxmlguifactory_p.cpp:426
        tagActionList = (const QString &) @0x825a000: {static null = {
    static null = <same as static member of an already seen type>, d = 0x8072408,
    static shared_null = 0x8072408}, d = 0x82bdb38, static shared_null = 0x8072408}
        custIt = {node = 0x8af8b18}
        custEnd = {node = 0x8af8b18}
        mergingIt = {node = 0xbfffdd90}
        alIt = {node = 0x82470c0}
        alEnd = {node = 0xbfffdd50}
#2  0x40a58f95 in KXMLGUI::ContainerNode::unplugActions(KXMLGUI::BuildState&) (this=0x825de90, state=@0x82b7588)
    at kxmlguifactory_p.cpp:406
        clientIt = {<QGListIterator> = {list = 0x825deb8, curNode = 0x862ad40}, <No data fields>}
#3  0x40a58a1d in KXMLGUI::ContainerNode::destruct(QDomElement, KXMLGUI::BuildState&) (this=0x825de90, element=
        {<QDomNode> = {_vptr.QDomNode = 0x4162d2a8, impl = 0x8bd32b8}, <No data fields>}, state=@0x82b7588)
    at kxmlguifactory_p.cpp:313
        cmIt = {node = 0x4162d928}
#4  0x40a58c87 in KXMLGUI::ContainerNode::destructChildren(QDomElement const&, KXMLGUI::BuildState&) (
    this=0x82545e8, element=@0xbfffe050, state=@0x82b7588) at kxmlguifactory_p.cpp:358
        childNode = (ContainerNode *) 0x825de90
        childElement = {<QDomNode> = {_vptr.QDomNode = 0x4162d2a8, impl = 0x8bd32b8}, <No data fields>}
        childIt = {<QGListIterator> = {list = 0x8254630, curNode = 0x8264d38}, <No data fields>}
#5  0x40a58a0b in KXMLGUI::ContainerNode::destruct(QDomElement, KXMLGUI::BuildState&) (this=0x82545e8, element=
        {<QDomNode> = {_vptr.QDomNode = 0x4162d2a8, impl = 0x8bb1de0}, <No data fields>}, state=@0x82b7588)
    at kxmlguifactory_p.cpp:311
        cmIt = {node = 0x82b7588}
#6  0x40a542f9 in KXMLGUIFactory::removeClient(KXMLGUIClient*) (this=0x823ef50, client=0x841cc14)
    at kxmlguifactory.cpp:364
        doc = {<QDomNode> = {_vptr.QDomNode = 0x4162c848, impl = 0x8bb1cd0}, <No data fields>}
Comment 4 Alex Fisher 2004-10-12 14:06:29 UTC
Further info that might assist... I've been running Kmail, Knode and Korganizer in standalone mode since my last report, with no problems.

I could fire up Kontact with the --nocrashhandler flag to obtain a core dump... would this assist?
Comment 5 Bernd Laser 2004-10-14 11:46:19 UTC
The same crash does happen on exit of Kontact.

see BT:

[KCrash handler]
#7  0x4083f261 in KXMLGUI::ActionList::unplug ()
   from /opt/kde3/lib/libkdeui.so.4
#8  0x4088d7ac in KXMLGUI::ContainerNode::unplugClient ()
   from /opt/kde3/lib/libkdeui.so.4
#9  0x4088db05 in KXMLGUI::ContainerNode::unplugActions ()
   from /opt/kde3/lib/libkdeui.so.4
#10 0x4088db8c in KXMLGUI::ContainerNode::destruct ()
   from /opt/kde3/lib/libkdeui.so.4
Comment 6 kdebugs 2004-10-21 19:15:19 UTC
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 6536)]
[KCrash handler]
#5  0x4082c261 in KXMLGUI::ActionList::unplug ()
   from /opt/kde3/lib/libkdeui.so.4
#6  0x4087a7ac in KXMLGUI::ContainerNode::unplugClient ()
   from /opt/kde3/lib/libkdeui.so.4
#7  0x4087ab05 in KXMLGUI::ContainerNode::unplugActions ()
   from /opt/kde3/lib/libkdeui.so.4
#8  0x4087ab8c in KXMLGUI::ContainerNode::destruct ()
   from /opt/kde3/lib/libkdeui.so.4
#9  0x4087ad83 in KXMLGUI::ContainerNode::destructChildren ()
   from /opt/kde3/lib/libkdeui.so.4
#10 0x4087ab80 in KXMLGUI::ContainerNode::destruct ()
   from /opt/kde3/lib/libkdeui.so.4
#11 0x4091fc67 in KXMLGUIFactory::removeClient ()
   from /opt/kde3/lib/libkdeui.so.4
#12 0x4019f6c2 in KParts::MainWindow::createGUI ()
   from /opt/kde3/lib/libkparts.so.2
#13 0x08060afe in Kontact::MainWindow::slotActivePartChanged ()
#14 0x08063394 in Kontact::MainWindow::qt_invoke ()
#15 0x40f0e13e in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#16 0x40193eb5 in KParts::PartManager::activePartChanged ()
   from /opt/kde3/lib/libkparts.so.2
#17 0x4019b545 in KParts::PartManager::setActivePart ()
   from /opt/kde3/lib/libkparts.so.2
#18 0x08060527 in Kontact::MainWindow::selectPlugin ()
#19 0x080633ee in Kontact::MainWindow::qt_invoke ()
#20 0x40f0e13e in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0x0805e2fd in Kontact::SidePaneBase::pluginSelected ()
#22 0x0805e381 in Kontact::SidePaneBase::qt_emit ()
#23 0x0805e3bf in Kontact::IconSidePane::qt_emit ()
#24 0x40f0e171 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0x0805b65d in Kontact::Navigator::pluginActivated ()
#26 0x40fecc35 in QListBox::mousePressEventEx ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0x40fed1c4 in QListBox::mousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0x40f43be6 in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x40eac40f in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0x40eae778 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0x40b46d5e in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#32 0x40e4adc3 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0x40e49c9d in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0x40e5a5d5 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0x40ec4071 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0x40ec3eb6 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0x40eade8f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0x08063c17 in main ()
Comment 7 Tobias Koenig 2004-10-28 10:21:59 UTC
Hi,

this crash has been fixed in current development version.

Ciao,
Tobias
Comment 8 Melchior Franz 2004-10-29 23:04:17 UTC
Unfortunately, the crash has *not* been fixed, at least not in HEAD. The exact same crash still happens.
Comment 9 Melchior Franz 2004-10-31 17:01:46 UTC
Removing all filters that "Add this filter to the apply menu" kept kontact from crashing. But creating a new one with this feature makes kontact crash again after a few times switching back and forth between kmail & knode. If "Additionally add this filter to the toolbar" was selected, then each switching back to kmail added one more of the same icon.
Comment 10 Omar Yague 2004-10-31 21:37:28 UTC
I have the same problem using KDE 3.3.1 on SuSE 9.0. I can only see the email module, if I want to switch to kalendar or other modules.....it crahes.-

With the last version (3.3.0) Kontact worked perfectly.
Comment 11 Tobias Koenig 2004-11-02 11:04:30 UTC
Hi,

this crash has been fixed, if it still occurs for you, remove your kmailrc.

Ciao,
Tobias
Comment 12 Melchior Franz 2004-11-02 13:54:20 UTC
Removing kmailrc is bad advice! If you want to avoid the crash, open ~/.kde/share/apps/kmail/kmmainwin.rc and remove any filter from the toolbar that you've added:

 <ToolBar noMerge="1" name="mainToolBar" fullWidth="true" >
  <text>Main Toolbar</text>
  <Action name="new_message" />
  <Action name="check_mail_in" />
  ******* REMOVE FILTER ACTIONS HERE *******
 </ToolBar>

This does, of course, only mask the real bug, that is still not fixed. I won't open the bug again, though. It doesn't seem to lead anywhere.
Comment 13 Omar Yague 2004-11-02 14:42:17 UTC
Hi Melchior
thank you very much......it worked. I've just removed 2 components from the toolbar (added by me) and kontact works fine now :-).- But as you well say, this mask the real bug hidden who knows where :)

OMar
Comment 14 Melchior Franz 2004-11-03 14:38:24 UTC
I do now know how to reproduce the crash, even after having removed kmailrc. Hence, I'll re-open the bug and add a detailed recipe. Here's a workaround that avoids the crash *and* makes the toolbar icons work: remove the whole ~/.kde/share/apps/kmail/kmmainwin.rc file (I didn't investigate which parts exactly are the problem). Unfortunately you'll have to re-create all your toolbar and shortcut settings. BUT: DON'T REMOVE THIS ENTRY IN THE TOOLBAR CONFIG: "ActionList: toolbar_filter_actions". This is where the filter icons are merged in. Don't add filters manually!
Comment 15 Melchior Franz 2004-11-03 15:02:53 UTC
Please, before this bug is closed a third time without fix, read and try this:


The following 3 steps aren't really necessary, but I don't want to be told yet again to remove kmailrc to magically make the bug disappear:


0. remove ~/Mail/  (in other words: rename it temporarily)
1. remove ~/.kde/share/config/kmailrc
2. remove ~/.kde/share/apps/kmail/kmmainwin.rc



And here's how to reproduce the crash:



3. start kontact & select kmail kpart

4. enter "Configure filters ..." dialog and create two filter "test1" and "test2" with these settings:

Filter criteria:  none
Filter actions:   play sound (any sound)
Advanced options: "Apply this filter"   -> off/off/off
"If this filter matches"  -> on
"Add this filter to the apply filter menu"     -> on
"Additionally add this filter to the toolbar"  -> on
(leave default icon)


5. enter "Configure toolbars ..." dialog & select kmmainwin toolbar

6. Remove entry "ActionList: toolbar_filter_actions" (This may sound silly, but users do whatever they like. And this entry is missing from the beginning with certain (or all?) pre-existing kmmainwin.rc files.

7. Add the two created filters manually

8. close the toolbar dialog and kontact crashes. Furthermore it will crash whenever kontact was started after switching back and forth between kmail & knode (or other kparts)


Same backtrace as posted several times above.
Comment 16 Melchior Franz 2004-11-03 15:12:36 UTC
Update: this seems to be the correct workaround (instead of either removing ~/.kde/share/config/kmailrc or ~/.kde/share/apps/kmain/kmmainwin.rc):

Open ~/.kde/share/apps/kmain/kmmainwin.rc and replace your manually added filter icons by the "ActionList" line, e.g.:


 <ToolBar noMerge="1" name="mainToolBar" fullWidth="true" > 
   <text>Main Toolbar</text> 
   <Action name="new_message" /> 
   <Action name="check_mail_in" />
   <ActionList name="toolbar_filter_actions" />
 </ToolBar> 
 
Comment 17 Melchior Franz 2004-11-07 10:43:40 UTC
*** Bug 92648 has been marked as a duplicate of this bug. ***
Comment 18 David P James 2004-11-16 04:46:42 UTC
I'll say this for this bug - it sure is peculiar. To think that adding a KMail filter action to its toolbar would cause Kontact to crash when moving away from the Mail component is strange to say the least.

A small correction to comment #16: the file one needs to edit is
~/.kde/share/apps/kmail/kmmainwin.rc
not
~/.kde/share/apps/kmain/kmmainwin.rc
(I didn't look and just copied it into Kate's open file dialogue, and of course it didn't exist...)
Comment 19 Tobias Koenig 2005-03-23 15:40:05 UTC
Not reproducable with a fresh install of KDE 3.4.
Comment 20 Matteo Leonetti 2005-04-06 18:09:42 UTC
I can reproduce the bug with the kde 3.4 binary packages for suse 9.2.
The steps are quite simple:
1) open kontact
2) swtich to kmail
3) switch to any other application or close kontact

kontact crashes. The debug output:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 1105415744 (LWP 2959)]
[KCrash handler]
#7  0x00000019 in ?? ()
#8  0x40e12f54 in KXMLGUI::ActionList::unplug ()
   from /opt/kde3/lib/libkdeui.so.4
#9  0x40e641c8 in KXMLGUI::ContainerNode::unplugClient ()
   from /opt/kde3/lib/libkdeui.so.4
#10 0x40e64545 in KXMLGUI::ContainerNode::unplugActions ()
   from /opt/kde3/lib/libkdeui.so.4
#11 0x40e645cc in KXMLGUI::ContainerNode::destruct ()
   from /opt/kde3/lib/libkdeui.so.4
#12 0x40e647dc in KXMLGUI::ContainerNode::destructChildren ()
   from /opt/kde3/lib/libkdeui.so.4
#13 0x40e645c0 in KXMLGUI::ContainerNode::destruct ()
   from /opt/kde3/lib/libkdeui.so.4
#14 0x40f0f238 in KXMLGUIFactory::removeClient ()
   from /opt/kde3/lib/libkdeui.so.4
#15 0x40908cd2 in KParts::MainWindow::createGUI ()
   from /opt/kde3/lib/libkparts.so.2
#16 0x0805f887 in Kontact::MainWindow::selectPlugin ()
#17 0x080633ae in Kontact::MainWindow::qt_invoke ()
#18 0x4154c31e in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0x0805d6cd in Kontact::SidePaneBase::pluginSelected ()
#20 0x0805d751 in Kontact::SidePaneBase::qt_emit ()
#21 0x0805d78f in Kontact::IconSidePane::qt_emit ()
#22 0x4154c351 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0x0805af0d in Kontact::Navigator::pluginActivated ()
#24 0x4162e195 in QListBox::mousePressEventEx ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0x4162e724 in QListBox::mousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x41582916 in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0x414e9baf in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0x414ebf56 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x41174631 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#30 0x4148725e in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0x41486116 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0x41496b08 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0x41501b41 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0x41501986 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0x414eb63f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0x08063ca5 in main ()